| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions
arLabelingPrivate.h File Reference
`#include <ARX/AR/config.h>`
Include dependency graph for arLabelingPrivate.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | arLabelingSubDBIC (ARUint8 *image, int xsize, int ysize, int labelingThresh, ARLabelInfo *labelInfo)
int | arLabelingSubDBRC (ARUint8 *image, int xsize, int ysize, int labelingThresh, ARLabelInfo *labelInfo)
int | arLabelingSubDWIC (ARUint8 *image, int xsize, int ysize, int labelingThresh, ARLabelInfo *labelInfo)
int | arLabelingSubDWRC (ARUint8 *image, int xsize, int ysize, int labelingThresh, ARLabelInfo *labelInfo)
int | arLabelingSubEBIC (ARUint8 *image, int xsize, int ysize, int labelingThresh, ARLabelInfo *labelInfo)
int | arLabelingSubEBRC (ARUint8 *image, int xsize, int ysize, int labelingThresh, ARLabelInfo *labelInfo)
int | arLabelingSubEWIC (ARUint8 *image, int xsize, int ysize, int labelingThresh, ARLabelInfo *labelInfo)
int | arLabelingSubEWRC (ARUint8 *image, int xsize, int ysize, int labelingThresh, ARLabelInfo *labelInfo)
int | arLabelingSubDBZ (ARUint8 *image, const int xsize, const int ysize, ARUint8 *image_thresh, ARLabelInfo *labelInfo)
int | arLabelingSubDWZ (ARUint8 *image, const int xsize, const int ysize, ARUint8 *image_thresh, ARLabelInfo *labelInfo)
int | arLabelingSubEBZ (ARUint8 *image, const int xsize, const int ysize, ARUint8 *image_thresh, ARLabelInfo *labelInfo)
int | arLabelingSubEWZ (ARUint8 *image, const int xsize, const int ysize, ARUint8 *image_thresh, ARLabelInfo *labelInfo)

## Function Documentation

## ◆ arLabelingSubDBIC()

int arLabelingSubDBIC | ( | ARUint8 * | image,
|  | int | xsize,
|  | int | ysize,
|  | int | labelingThresh,
|  | ARLabelInfo * | labelInfo
| ) |  |

## ◆ arLabelingSubDBRC()

int arLabelingSubDBRC | ( | ARUint8 * | image,
|  | int | xsize,
|  | int | ysize,
|  | int | labelingThresh,
|  | ARLabelInfo * | labelInfo
| ) |  |

## ◆ arLabelingSubDBZ()

int arLabelingSubDBZ | ( | ARUint8 * | image,
|  | const int | xsize,
|  | const int | ysize,
|  | ARUint8 * | image_thresh,
|  | ARLabelInfo * | labelInfo
| ) |  |

## ◆ arLabelingSubDWIC()

int arLabelingSubDWIC | ( | ARUint8 * | image,
|  | int | xsize,
|  | int | ysize,
|  | int | labelingThresh,
|  | ARLabelInfo * | labelInfo
| ) |  |

## ◆ arLabelingSubDWRC()

int arLabelingSubDWRC | ( | ARUint8 * | image,
|  | int | xsize,
|  | int | ysize,
|  | int | labelingThresh,
|  | ARLabelInfo * | labelInfo
| ) |  |

## ◆ arLabelingSubDWZ()

int arLabelingSubDWZ | ( | ARUint8 * | image,
|  | const int | xsize,
|  | const int | ysize,
|  | ARUint8 * | image_thresh,
|  | ARLabelInfo * | labelInfo
| ) |  |

## ◆ arLabelingSubEBIC()

int arLabelingSubEBIC | ( | ARUint8 * | image,
|  | int | xsize,
|  | int | ysize,
|  | int | labelingThresh,
|  | ARLabelInfo * | labelInfo
| ) |  |

## ◆ arLabelingSubEBRC()

int arLabelingSubEBRC | ( | ARUint8 * | image,
|  | int | xsize,
|  | int | ysize,
|  | int | labelingThresh,
|  | ARLabelInfo * | labelInfo
| ) |  |

## ◆ arLabelingSubEBZ()

int arLabelingSubEBZ | ( | ARUint8 * | image,
|  | const int | xsize,
|  | const int | ysize,
|  | ARUint8 * | image_thresh,
|  | ARLabelInfo * | labelInfo
| ) |  |

## ◆ arLabelingSubEWIC()

int arLabelingSubEWIC | ( | ARUint8 * | image,
|  | int | xsize,
|  | int | ysize,
|  | int | labelingThresh,
|  | ARLabelInfo * | labelInfo
| ) |  |

## ◆ arLabelingSubEWRC()

int arLabelingSubEWRC | ( | ARUint8 * | image,
|  | int | xsize,
|  | int | ysize,
|  | int | labelingThresh,
|  | ARLabelInfo * | labelInfo
| ) |  |

## ◆ arLabelingSubEWZ()

int arLabelingSubEWZ | ( | ARUint8 * | image,
|  | const int | xsize,
|  | const int | ysize,
|  | ARUint8 * | image_thresh,
|  | ARLabelInfo * | labelInfo
| ) |  |